#
# spec file for package post-build-checks-malwarescan
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           post-build-checks-malwarescan
BuildArch:      noarch
Requires:       clamav-database
Url:            http://www.suse.com/security
Recommends:     clamav
Version:        0.1
Release:        3.19.1
Summary:        OBS clamav virus scan build hook and script
License:        GPL-2.0
Group:          Development/Tools/Building
Source0:        80-check-malware-scan-clamav
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The /usr/lib/build/checks/80-check-malware-scan-clamav runs
clamscan --no-summary -ir $RPM_BUILD_DIR



%prep

%build

%install
pwd
mkdir -p $RPM_BUILD_ROOT/usr/lib/build/checks
install -m 0755 %{SOURCE0} $RPM_BUILD_ROOT/usr/lib/build/checks

%files
%attr(0755,root,root) /usr/lib/build/checks/80-check-malware-scan-clamav

%changelog
* Tue Oct 26 2021 dcermak@suse.com
- Use short flags for cpio to support busybox cpio as well
* Wed May 26 2021 wolfgang.frisch@suse.com
- EXCLUDELIST: Removed lvm2 unit-test (bsc#1172626).
* Wed Apr  7 2021 ro@suse.de
- and skip all the bells and whistles if we only have the
  busybox variants of xargs and grep (bsc#1183460)
* Wed Mar 17 2021 ro@suse.de
- limit number of threads to avalaible GB mem (bsc#1183460)
* Fri Mar 12 2021 ro@suse.de
- try to use multiple threads by using xargs -P numjobs
  (bsc#1183460)
* Mon Jun  8 2020 meissner@suse.com
- added an EXCLUDELIST where we can (temporary) filter out false
  positives (bsc#1172626)
* Wed Nov 23 2016 ro@suse.de
- change recommends from clamav-nodb to clamav
* Wed Jun 29 2016 mmarek@suse.cz
- Speed an other improvements (https://hackweek.suse.com/14/projects/1452)
  * Do not buffer the output to make the timestamps in the build log
  more useful.
  * Only unpack packages in RPMS, SRPMS and OTHER, not some
  intermediate pesign files in SOURCES.
  * Also check the rpm scriptlets.
  * Use clamav -j<num> if available.
* Wed May 14 2014 ro@suse.de
- work around broken file in kiwi source
* Tue May 13 2014 ro@suse.de
- skip unpacking non rpm files
  (for example zero byte files from testsuites)
* Wed May  7 2014 draht@suse.de
- error checking for unpacking the RPM packages, write string that
  can be identified so that rebuild starts on a different host.
  Typical case: -EFULL.
* Wed Apr 30 2014 draht@suse.de
- avoid find descending into pseudo filesystems and loop there:
  use "-xdev" option to find.
* Thu Feb  6 2014 draht@suse.de
- Use http://www.suse.com/security as Url: spec tag. Yeah.
- License: tag update
* Tue Jan 14 2014 draht@suse.de
- initial package.
